Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062234 - Changing cluster policy to 'None' not clean properties
Summary: Changing cluster policy to 'None' not clean properties
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.4
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
: 3.4.1
Assignee: Jiri Moskovcak
QA Contact: bugs@ovirt.org
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-06 13:47 UTC by Artyom
Modified: 2015-02-01 22:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-08 13:35:55 UTC
oVirt Team: ---


Attachments (Terms of Use)
screenshot (deleted)
2014-02-06 13:47 UTC, Artyom
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25093 None MERGED webadmin: clean properties when changing the cluster policy Never

Description Artyom 2014-02-06 13:47:15 UTC
Created attachment 860171 [details]
screenshot

Description of problem:
Changing cluster policy to 'None' not clean properties, so if I choose Power Saving cluster policy and after it change to 'None' cluster policy I still can see properties connected to Power Saving and also if I choose 'None' cluster policy and reopen edit window I see properties for 'VM_Evenly_Distributed' policy.

Version-Release number of selected component (if applicable):
ovirt-engine-3.4.0-0.5.beta1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Open edit cluster window and choose 'Cluster Policy' tab.
2.
3.

Actual results:
Cluster policy is 'None', but properties of 'VM_Evenly_Distributed' policy appears.

Expected results:
Must be no properties for cluster policy 'None'.

Additional info:
See screenshoot

Comment 1 Itamar Heim 2014-02-09 08:52:47 UTC
Setting target release to current version for consideration and review. please
do not push non-RFE bugs to an undefined target release to make sure bugs are
reviewed for relevancy, fix, closure, etc.

Comment 2 Sandro Bonazzola 2014-03-04 09:26:05 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Comment 3 Sandro Bonazzola 2014-05-08 13:35:55 UTC
This is an automated message

oVirt 3.4.1 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.